<?php

namespace CRPlugins\Oca\Helper;

trait AssetsTrait {

	public static function get_assets_folder_url(): string {
		return plugin_dir_url( \WC_OCA::MAIN_FILE ) . 'assets/dist';
	}

	public static function get_assets_folder_path(): string {
		return plugin_dir_path( \WC_OCA::MAIN_FILE ) . 'assets/dist';
	}

	public static function get_labels_folder_path(): string {
		return plugin_dir_path( \WC_OCA::MAIN_FILE ) . 'labels';
	}

	public static function get_labels_folder_url(): string {
		return plugin_dir_url( \WC_OCA::MAIN_FILE ) . 'labels';
	}

	public static function get_libs_folder_path(): string {
		return plugin_dir_path( \WC_OCA::MAIN_FILE ) . 'libs';
	}

	public static function get_general_css(): string {
		return file_get_contents( self::get_assets_folder_url() . '/css/general.css' ); // // phpcs:ignore WordPress.WP.AlternativeFunctions.file_get_contents_file_get_contents
	}
}
