<?php

namespace CRPlugins\Oca\Settings\Fields;

final class DescriptionField extends Field {

	protected $data = array(
		'name'        => '',
		'slug'        => '',
		'type'        => 'description',
		'description' => '',
	);

	public function __construct( array $args ) {
		$this->data = wp_parse_args( $args, $this->data );
	}

	public function render() {
		$desc = $this->get_description();
		if ( ! empty( $desc ) ) {
			printf( '%s', esc_html( $desc ) );
		}
	}
}
